
body {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: white;
    text-decoration: none;
    word-spacing: normal;
    text-align: left;
    letter-spacing: 0;
    -webkit-font-smoothing: antialiased;
    overflow-y: hidden;
    overflow-x: hidden;
    margin: 0;
    width: 100%;
    height: 100%;
    user-select: none;
}

#myCanvas {
    width: 100%;
    height: 100%;
    position: absolute;
    background: lightblue;
    background-image: linear-gradient(lightblue, white);
}

#myCanvas-small {
    width: 200px;
    height: 200px;
    left:200px;
    position: absolute;
    background: lightblue;
    background-image: linear-gradient(lightblue, white);
}

#myCanvas-medium {
    width: 600px;
    height: 600px;
    left:200px;
    top: 100px;
    position: absolute;
    background: lightblue;
    background-image: linear-gradient(lightblue, white);
}

.slideout-sidebar {
    background: white;
    position: fixed;
    top: 0;
    right: -380px;
    z-index: 100000000;
    width: 350px;
    height: 100%;
    overflow-y: scroll;
    transition: all 300ms ease-in-out;
    border-left: 2px solid #212529;
    margin-top: 0;
    padding: 0px 10px 10px 20px;
}

.info-icon {
    width: 100px;
    height: auto;
    padding-top: 20px;
}

#info-button {
    display: none;
}

#info-button:hover {
    cursor: pointer;
}

.info-button {
    position: absolute;
    right: 15px;
    top: 12px;
    z-index: 1;
    transition: all 300ms ease-in-out;
}

.info-button:hover {
    cursor: pointer;
    color: black;
}

#info-button:checked ~ .slideout-sidebar {
    right: 0;
}

#info-button:checked + .info-button {
    right: 400px;
}

#myDatGuiContainer {
    margin-top: 20px;
    margin-bottom: 25px;
}

h1, h2, h3 {
    font-family: inherit;
    line-height: 1.2;
    color: inherit;
    -webkit-transform-origin: 0% 100%;
}

h1 {
    font-weight:500;
    margin-top: 0;
    margin-bottom: 0;
    padding-top: 15px;
    font-size: 1.4rem;
}

h1 a {
    color: #fffbfb;
}

h2 {
    font-size: 1.0rem;
    font-weight: 550;
    padding-top: 30px;
    padding-left: 0px;
    margin-top: 0px;
    padding-bottom: 10px;
    margin-bottom: 0;
    letter-spacing: 0px;
    /*border-bottom: 2px solid #d4d4d4;*/
}

h3 {
    font-size: 1.0rem;
    font-weight: 550;
    padding: 0;
    margin: 0;
    padding-left: 0px;
    padding-right: 40px;
    padding-top: 14px;
    padding-bottom: 8px;
}

.xeokit-camera-pivot-marker {
    color: #ffffff;
    position: absolute;
    width: 25px;
    height: 25px;
    border-radius: 15px;
    border: 2px solid #ebebeb;
    background: #4444;
    visibility: hidden;
    box-shadow: 5px 5px 15px 1px #212529;
    z-index: 10000;
    pointer-events: none;
}

a {
    /*text-decoration: none;*/
    /*color: #212529;*/
}

a:hover {
    text-decoration: underline;
}

.annotation-marker {
            color: #ffffff;
            line-height: 1.8;
            text-align: center;
            font-family: "monospace";
            font-weight: bold;
            position: absolute;
            width: 25px;
            height: 25px;
            border-radius: 15px;
            border: 2px solid #ffffff;
            background: black;
            visibility: hidden;
            box-shadow: 5px 5px 15px 1px #000000;
            z-index: 0;
        }

        .annotation-label {
            position: absolute;
            max-width: 250px;
            min-height: 50px;
            padding: 8px;
            padding-left: 12px;
            padding-right: 12px;
            background: #ffffff;
            color: #000000;
            -webkit-border-radius: 3px;
            -moz-border-radius: 3px;
            border-radius: 8px;
            border: #ffffff solid 2px;
            box-shadow: 5px 5px 15px 1px #000000;
            z-index: 90000;
        }

        .annotation-label:after {
            content: '';
            position: absolute;
            border-style: solid;
            border-width: 8px 12px 8px 0;
            border-color: transparent white;
            display: block;
            width: 0;
            z-index: 1;
            margin-top: -11px;
            left: -12px;
            top: 20px;
        }

        .annotation-label:before {
            content: '';
            position: absolute;
            border-style: solid;
            border-width: 9px 13px 9px 0;
            border-color: transparent #ffffff;
            display: block;
            width: 0;
            z-index: 0;
            margin-top: -12px;
            left: -15px;
            top: 20px;
        }

        .annotation-title {
            font: normal 20px arial, serif;
            margin-bottom: 8px;
        }

        .annotation-desc {
            font: normal 14px arial, serif;
        }
